<?php

/*------------------------------------------------------------------------
# com_invoices - Invoices for Joomla
# ------------------------------------------------------------------------
# author				Germinal Camps
# copyright 			Copyright (C) 2013 JoomlaThat.com. All Rights Reserved.
# @license				http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: 			http://www.JoomlaThat.com
# Technical Support:	Forum - http://www.JoomlaThat.com/support
-------------------------------------------------------------------------*/

/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');


class plgInvoicessearchCb extends JPlugin {

	function __construct(& $subject, $config) {

		$plugin = JPluginHelper::getPlugin('invoicessearch','cb');
		$this->params = new JRegistry( $plugin->params );

		$this->lang_code = $this->params->get('lang', 'en_gb') ;

		$lang = JFactory::getLanguage();

		parent::__construct($subject, $config);

	}

	var $component = "com_comprofiler" ;
	var $params = null ;

	function onSearchContacts($keywords){

		$db = JFactory::getDBO();

		$where_clause = array();

		$where_clause[] = ' ( u.name LIKE "%'.$keywords.'%" OR u.username LIKE "%'.$keywords.'%" OR u.email LIKE "%'.$keywords.'%" ) ';

		$where_clause[] = ' cou.user_id IS NOT NULL ' ;

		// Build the where clause of the content record query
		$where_clause = (count($where_clause) ? ' WHERE '.implode(' AND ', $where_clause) : '');

		$query = ' SELECT u.*, u.username AS company '
						.' FROM #__users AS u '
						.' LEFT JOIN #__comprofiler AS cou ON cou.user_id = u.id '
				 		.$where_clause ;
		$db->setQuery($query);
		$items = $db->loadObjectList();

		$i = 0;
		foreach ($items as $item) {
			$items[$i] = $this->onObtainContact($item->id);
			$i++;
		}

		$return = new stdClass();
		$return->component = $this->component ;
		$return->items = $items ;

		return $return ;

	}

	function onObtainContact($id){

		$db = JFactory::getDBO();

		$query = ' SELECT u.* '
						.' FROM #__users AS u '
						.' WHERE u.id = '. $id ;
		$db->setQuery($query);
		$usuari = $db->loadObject();

		$query = ' SELECT va.* '
						.' FROM #__comprofiler AS va '
						.' WHERE va.user_id = '. $id ;
		$db->setQuery($query);
		$cbuser = $db->loadAssoc();

		$query = ' SELECT id '
						.' FROM #__invoices_contacts '
						.' WHERE email = '. $db->q($usuari->email) ;
		$db->setQuery($query);
		$contact_id = (int)$db->loadResult();

		$cbuser[0] = "";

		$item = new stdClass();
		$item->to_name = $usuari->name ;
		$item->name = $usuari->name ;
		$item->to_company = $cbuser[$this->params->get('company')] ;
		$item->to_email = $usuari->email ;
		$item->to_address = $cbuser[$this->params->get('address')] ;
		$item->id = 0 ;
		$item->to_city = $cbuser[$this->params->get('city')] ;
		$item->to_state = $cbuser[$this->params->get('state')] ;
		$item->to_country = $cbuser[$this->params->get('country')] ;
		$item->to_zipcode = $cbuser[$this->params->get('zipcode')] ;
		$item->to_vatid = $cbuser[$this->params->get('vatid')] ;
		$item->user_id = $contact_id ;
		$item->username = $usuari->username ;
		$item->to_phone = $cbuser[$this->params->get('phone')] ;

		$item->component = $this->component;

		$item->vincular_cliente = $item->to_name ;
		$item->joomla_user_id = $usuari->id ;

		return $item ;

	}

}
