<?php

/*------------------------------------------------------------------------
# com_invoices - Invoices for Joomla
# ------------------------------------------------------------------------
# author				Germinal Camps
# copyright 			Copyright (C) 2012 JoomlaInvoices.com. All Rights Reserved.
# @license				http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: 			http://www.JoomlaInvoices.com
# Technical Support:	Forum - http://www.JoomlaFinances.com/forum
-------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access');

if(!defined('DS')){
    define('DS',DIRECTORY_SEPARATOR);
}
require_once(JPATH_SITE . DS . 'plugins' . DS . 'invoices' . DS . 'payment_stripe' . DS . 'config.php');
if ( ! function_exists('plg_invoices_escape')) {

    function plg_invoices_escape($var)
    {
        return htmlspecialchars($var, ENT_COMPAT, 'UTF-8');
    }
}

$doc = JFactory::getDocument();
$doc->addScript('https://js.stripe.com/v3');

?>

<button
  type="button"
  class="btn btn-info"
  onClick="processStripePayment()">
  <?php echo $this->params->get('namebox'); ?>
</button>
<script>

function processStripePayment(){
  var stripe = Stripe('<?php echo $vars->stripe_publishable_key; ?>');

  stripe.redirectToCheckout({
    // Make the id field from the Checkout Session creation API response
    // available to this file, so you can provide it as parameter here
    // instead of the {{CHECKOUT_SESSION_ID}} placeholder.
    sessionId: '<?php echo $vars->stripe_session_id; ?>'
  }).then(function (result) {
    // If `redirectToCheckout` fails due to a browser or network
    // error, display the localized error message to your customer
    // using `result.error.message`.
  });
}
</script>

<!-- <form action="<?php echo plg_invoices_escape($vars->action_url) ?>" method="post">
    <script src="https://checkout.stripe.com/checkout.js"
            class="stripe-button"
            data-key="<?php echo $stripe['publishable_key']; ?>"
            data-amount="<?php echo $vars->row->payment_amount * 100; ?>"
            data-name="<?php echo $this->params->get('namebox'); ?>"
            data-image="<?php echo $this->params->get('image'); ?>"
            data-currency="<?php echo plg_invoices_escape($vars->currency); ?>"
            data-locale="auto"
            data-description="<?php echo plg_invoices_escape($vars->row->payment_description); ?>"
            data-billing-address="<?php echo $this->params->get('billing') ? 'true' : 'false'; ?>">
    </script>
    <input type="hidden" name="item_number" value="<?php echo plg_invoices_escape($vars->row->id); ?>" />
</form> -->

<br />
<?php echo plg_invoices_escape($vars->note); ?>
